cURL
curl --request POST \
--url https://api.example.com/lines/{id}/change-iccid \
--header 'Content-Type: application/json' \
--header 'client_id: <api-key>' \
--header 'secret_key: <api-key>' \
--data '
{
"iccId": "<string>"
}
'import requests
url = "https://api.example.com/lines/{id}/change-iccid"
payload = { "iccId": "<string>" }
headers = {
"client_id": "<api-key>",
"secret_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
client_id: '<api-key>',
secret_key: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({iccId: '<string>'})
};
fetch('https://api.example.com/lines/{id}/change-iccid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"msisdn": "<string>",
"iccId": "<string>",
"holder": {
"id": "<string>",
"name": "<string>",
"federalTaxId": "<string>"
},
"subscriptionId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"activatedAt": "2023-11-07T05:31:56Z",
"terminatedAt": "2023-11-07T05:31:56Z",
"externalCode": "<string>",
"brokerId": "<string>",
"metadata": {}
}Lines
Change ICCID
POST
/
lines
/
{id}
/
change-iccid
cURL
Path Parameters
Body
application/json
Minimum string length:
1Response
200 - application/json
Default Response
Available options:
PROVISIONING, PROVISIONING_ERROR, STAND_BY, ACTIVATING, ACTIVATION_ERROR, ACTIVE, BLOCKING, BLOCKING_ERROR, BLOCKED, TERMINATING, TERMINATION_ERROR, TERMINATED Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I